Code Review Request: JDK-8161506 : Deprecate pre-1.2 SecurityManager methods and fields with forRemoval=true

Sean Mullan sean.mullan at oracle.com
Wed Jul 27 16:52:57 UTC 2016


On 07/27/2016 12:45 PM, Coleen Phillimore wrote:
> This looks great.  Thank you!
>
> Should we have another bug to actually remove the code and hotspot code
> for jdk10

Yes we should. We need to also do that for all of the other APIs that we 
have added forRemoval=true to for 9, so I was thinking about creating a 
single umbrella bug for that, and then using subtasks for each one.

--Sean



More information about the security-dev mailing list